DtEditorFind(library call)

NAME
DtEditorFind — search for the next occurrence of a string in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorFind(
Widget widget,
char *find);

DESCRIPTION

The DtEditorFind function searches for the next occurrence (relative to the insertion cursor) of a string. The string is either the last find string value specified in the Find/Change dialog (see DtEditorInvokeFindChangeDialog(3)) or is passed in as an argument.

The widget argument specifies the DtEditor widget ID.

The find argument specifies the string to search for. If find is NULL, DtEditorFind uses the last string specified in the Find field of the Find/Change dialog. If the string is not found by the time the end of the document is reached, the search continues at the beginning of the document, stopping at the character before the insertion cursor.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorFind function returns True if the search string was found; otherwise, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorChange(3), DtEditorInvokeFindChangeDialog(3).